com.hazelcast.memory

## Enum MemoryUnit

- java.lang.Object
- - java.lang.Enum<MemoryUnit>
  - - com.hazelcast.memory.MemoryUnit

- All Implemented Interfaces:
    Serializable, Comparable<MemoryUnit>

      public enum MemoryUnit
      extends Enum<MemoryUnit>

  MemoryUnit represents memory size at a given unit of granularity and provides utility methods to convert across units.
  Since:
    3.4
  See Also:
    `MemorySize`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTES` MemoryUnit in bytes
    `GIGABYTES` MemoryUnit in gigabytes
    `KILOBYTES` MemoryUnit in kilobytes
    `MEGABYTES` MemoryUnit in megabytes

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract long` | `convert(long value, MemoryUnit m)`
    `abstract long` | `toBytes(long value)`
    `abstract long` | `toGigaBytes(long value)`
    `abstract long` | `toKiloBytes(long value)`
    `abstract long` | `toMegaBytes(long value)`
    `static MemoryUnit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MemoryUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTES

          public static final MemoryUnit BYTES

      MemoryUnit in bytes

    - #### KILOBYTES

          public static final MemoryUnit KILOBYTES

      MemoryUnit in kilobytes

    - #### MEGABYTES

          public static final MemoryUnit MEGABYTES

      MemoryUnit in megabytes

    - #### GIGABYTES

          public static final MemoryUnit GIGABYTES

      MemoryUnit in gigabytes

  - ### Method Detail

    - #### values

          public static MemoryUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MemoryUnit c : MemoryUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MemoryUnit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### convert

          public abstract long convert(long value,
                                       MemoryUnit m)

    - #### toBytes

          public abstract long toBytes(long value)

    - #### toKiloBytes

          public abstract long toKiloBytes(long value)

    - #### toMegaBytes

          public abstract long toMegaBytes(long value)

    - #### toGigaBytes

          public abstract long toGigaBytes(long value)

Copyright © 2019. All rights reserved.